com.mockobjects.jms

## Class MockMessageProducer

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.jms.MockMessageProducer

- All Implemented Interfaces:
    Verifiable
  Direct Known Subclasses:
    MockQueueSender

      public abstract class MockMessageProducer
      extends MockObject

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockMessageProducer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `int` | `getDeliveryMode()`
    `boolean` | `getDisableMessageID()`
    `boolean` | `getDisableMessageTimestamp()`
    `int` | `getPriority()`
    `long` | `getTimeToLive()`
    `void` | `setDeliveryMode(int deliveryMode)`
    `void` | `setDisableMessageID(boolean value)`
    `void` | `setDisableMessageTimestamp(boolean value)`
    `void` | `setExpectedCloseCalls(int callCount)`
    `void` | `setPriority(int defaultPriority)`
    `void` | `setTimeToLive(long timeToLive)`
    `void` | `setupThrowException(JMSException e)`

    - ### Methods inherited from class com.mockobjects.MockObject

      `notImplemented, notYetImplemented, verify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockMessageProducer

          public MockMessageProducer()

  - ### Method Detail

    - #### close

          public void close()
                     throws JMSException

      Throws:
        `JMSException`

    - #### getDeliveryMode

          public int getDeliveryMode()
                              throws JMSException

      Throws:
        `JMSException`

    - #### getDisableMessageID

          public boolean getDisableMessageID()
                                      throws JMSException

      Throws:
        `JMSException`

    - #### getDisableMessageTimestamp

          public boolean getDisableMessageTimestamp()
                                             throws JMSException

      Throws:
        `JMSException`

    - #### getPriority

          public int getPriority()
                          throws JMSException

      Throws:
        `JMSException`

    - #### getTimeToLive

          public long getTimeToLive()
                             throws JMSException

      Throws:
        `JMSException`

    - #### setDeliveryMode

          public void setDeliveryMode(int deliveryMode)
                               throws JMSException

      Throws:
        `JMSException`

    - #### setDisableMessageID

          public void setDisableMessageID(boolean value)
                                   throws JMSException

      Throws:
        `JMSException`

    - #### setDisableMessageTimestamp

          public void setDisableMessageTimestamp(boolean value)
                                          throws JMSException

      Throws:
        `JMSException`

    - #### setPriority

          public void setPriority(int defaultPriority)
                           throws JMSException

      Throws:
        `JMSException`

    - #### setTimeToLive

          public void setTimeToLive(long timeToLive)
                             throws JMSException

      Throws:
        `JMSException`

    - #### setExpectedCloseCalls

          public void setExpectedCloseCalls(int callCount)

    - #### setupThrowException

          public void setupThrowException(JMSException e)

Copyright © 2002 Mock Objects. All Rights Reserved.